import { ExternalEventsTableComponent } from './external-events-table/external-events-table.component';
import { NewPageComponent } from './new-page/new-page.component';
import { ExternalContactUsComponent } from './external-contact-us/external-contact-us.component';
import { ExternalHospitalComponent } from './external-hospital/external-hospital.component';
import { ExternalPageContentComponent } from './external-page-content/external-page-content.component';
import { ExternalPageComponent } from './external-page/external-page.component';
import { NgModule } from '@angular/core';
import { RouterModule, Routes } from '@angular/router';
import { MoreNewsComponent } from './more-news/more-news.component';



const externalPageRoutes: Routes = [
    {path: 'ExternalPage' , component: ExternalPageComponent, children:[
        {path: 'home', component: ExternalPageContentComponent},
        {path: 'contactUs', component: ExternalContactUsComponent},
        {path: 'EventsTable', component: ExternalEventsTableComponent},
        {path: 'moreNews', component: MoreNewsComponent},
        {path: 'newPage/:reportId', component: NewPageComponent},
        {path: ':type_page', component: ExternalHospitalComponent},
    ]},
];

@NgModule({
imports: [
    RouterModule.forChild(externalPageRoutes),
],
exports: [
    RouterModule
  ]
})

export class ExternalPageRoutingModule {

}